package com.cr.widget

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.TextView
import androidx.constraintlayout.widget.ConstraintLayout
import com.cr.cruav.R

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/8 14:27
 * 描述：
 */
class CrBatteryWidget @JvmOverloads constructor(
    context: Context,
    attrs:AttributeSet?=null,
    defStyleAttr: Int = 0
) : ConstraintLayout(context,attrs,defStyleAttr) {
    // TODO: 电池电量 ？表示该变量可以为null而不会报错
    private var txtValue:TextView? = null

    init {
        initView()

        txtValue = findViewById(R.id.wg_battery_value)
    }

    /**
     * 初始化视图
     */
    private fun initView(){

        View.inflate(context, R.layout.wg_battery,this)
    }

    fun setValue(value:String){
        this.txtValue?.text = value
    }
}